%define	module	File-Copy-Recursive
%define	name	perl-%{module}
%define version 0.31
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl module for recursively copying files and directories
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/File/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module copies and moves directories recursively (or single files, well...
singley) to an optional depth and attempts to preserve each file or directory's
mode.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%clean 
%{__rm} -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/File
%{_mandir}/man3/*


%changelog
* Sat Mar 10 2007 Olivier Thauvin <nanardon@mandriva.org> 0.31-1mdv2007.1
+ Revision: 141048
- 0.31

* Tue Dec 12 2006 Olivier Thauvin <nanardon@mandriva.org> 0.30-1mdv2007.1
+ Revision: 95137
- 0.30
- 0.25
- Import perl-File-Copy-Recursive



* Fri Jun 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdv2007.0
- New version 0.24

* Thu Jun 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdv2007.0
- New release 0.23
- HTTP source URL

* Wed May 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdk
- New release 0.22

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.21-1mdk
- New release 0.21

* Sat Apr 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdk
- new version
- fix directory ownership
- rpmbuildupdate aware

* Thu Mar 02 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.19-1mdk
- 0.19

* Thu Feb 02 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.18-1mdk
- 0.18

* Fri Dec 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- Initial MDV package
